HaskellForMaths-0.4.5: Combinatorics, group theory, commutative algebra, non-commutative algebra

Safe Haskell | None

Math.QuantumAlgebra.TensorCategory

Description

A module defining classes and example instances of categories and tensor categories

# Documentation

class Category c where Source

Associated Types

data Ob c :: *Source

data Ar c :: *Source

Methods

id_ :: Ob c -> Ar cSource

source, target :: Ar c -> Ob cSource

(>>>) :: Ar c -> Ar c -> Ar cSource

Instances

Category Cob2 |
Category Braid |
Category SymmetricGroupoid |
Category OrientedTangle |
Category Tangle |

class Category c => TensorCategory c where Source

Methods

tunit :: Ob cSource

tob :: Ob c -> Ob c -> Ob cSource

tar :: Ar c -> Ar c -> Ar cSource

Instances

TensorCategory Cob2 |
TensorCategory Braid |
TensorCategory SymmetricGroupoid |
TensorCategory OrientedTangle |
TensorCategory Tangle |

class TensorCategory c => StrictTensorCategory c Source

class TensorCategory c => WeakTensorCategory c where Source

Methods

assoc :: Ob c -> Ob c -> Ob cSource

lunit :: Ob c -> Ob cSource

runit :: Ob c -> Ob cSource

data SymmetricGroupoid Source

Instances

TensorCategory SymmetricGroupoid |
Category SymmetricGroupoid |
Eq (Ob SymmetricGroupoid) |
Eq (Ar SymmetricGroupoid) |
Ord (Ob SymmetricGroupoid) |
Ord (Ar SymmetricGroupoid) |
Show (Ob SymmetricGroupoid) |
Show (Ar SymmetricGroupoid) |

data Braid Source

Instances

TensorCategory Braid |
Category Braid |
Eq (Ob Braid) |
Eq (Ar Braid) |
Ord (Ob Braid) |
Ord (Ar Braid) |
Show (Ob Braid) |
Show (Ar Braid) |

s :: Int -> Int -> Ar Braid Source

data Cob2 Source

Instances

TensorCategory Cob2 |
Category Cob2 |
Eq (Ob Cob2) |
Eq (Ar Cob2) |
Ord (Ob Cob2) |
Ord (Ar Cob2) |
Show (Ob Cob2) |
Show (Ar Cob2) |

rewrite :: Ar Cob2 -> Ar Cob2 Source